
Web site - Bug # 104: Planet returns main BitFolk site on IPv6

Status: Closed Priority: Normal

Author: chaldene Category:

Created: 2013-06-22 Assigned to:

Updated: 2013-06-24 Due date:

Subject: Planet returns main BitFolk site on IPv6

Description: When accessing planet.bitfolk.com over IPv6, it appears to hit the main BitFolk web site instead.  It works on 

v4.





<pre>


$ curl -v http://planet.bitfolk.com/atom.xml


* About to connect() to planet.bitfolk.com port 80 (#0)


*   Trying 2001:ba8:1f1:f019::80... connected


* Connected to planet.bitfolk.com (2001:ba8:1f1:f019::80) port 80 (#0)


> GET /atom.xml HTTP/1.1


> User-Agent: curl/7.21.0 (i486-pc-linux-gnu) libcurl/7.21.0 OpenSSL/0.9.8o zlib/1.2.3.4 libidn/1.15 

libssh2/1.2.6


> Host: planet.bitfolk.com


> Accept: */*


> 


< HTTP/1.1 404 Not Found


< Date: Sat, 22 Jun 2013 13:51:49 GMT


< Server: Apache/2.2.16 (Debian)


< Vary: Accept-Encoding


< Content-Length: 290


< Content-Type: text/html; charset=iso-8859-1


< 


<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML 2.0//EN">


<html><head>


<title>404 Not Found</title>


</head><body>


<h1>Not Found</h1>


<p>The requested URL /atom.xml was not found on this server.</p>


<hr>


<address>Apache/2.2.16 (Debian) Server at planet.bitfolk.com Port 80</address>


</body></html>


* Connection #0 to host planet.bitfolk.com left intact


* Closing connection #0


</pre>





<pre>


$ curl -6 http://planet.bitfolk.com/


<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" 

"http://www.w3.org/TR/html4/loose.d


td">


<html>


<head>


  <meta http-equiv="Content-Type" content="text/html;charset=utf-8">


  <meta name="description" content="The UK's leading no-nonsense VPS provider.">


  <meta name="keywords" content="vps,vds,hosting,virtual,private,system,uk,bit,folk,xen,debian,ubu


ntu,centos,gentoo,linux,fedora">


  <meta name="generator" content="Microsoft Edlin 88">
  <meta name="smarttag" content="what's blitzed?">





  <title>BitFolk :: No-Nonsense VPS Hosting</title>


</pre>

History

2013-06-22 23:43 - admin

- Status changed from New to In Progress

Hah, this will explain some weirdness I had been seeing too, but had not found time to look into.





I'll get this sorted today.

2013-06-24 15:23 - admin

- Status changed from In Progress to Closed

That's fixed now. Sorry it took a little longer than I thought!
